pandoc-3.7.0.2: Conversion between markup formats

Copyright | Copyright (C) 2011-2024 John MacFarlane
License | GNU GPL, version 2 or above
Maintainer | John MacFarlane <jgm@berkeley.edu>
Stability | alpha
Portability | portable
Safe Haskell | None
Language | Haskell2010

Text.Pandoc.SelfContained

Description

Functions for converting an HTML file into one that can be viewed offline, by incorporating linked images, CSS, and scripts into the HTML using data URIs.

Synopsis

- makeDataURI :: (MimeType, ByteString) -> Text
- makeSelfContained :: PandocMonad m => Text -> m Text

# Documentation

makeDataURI :: (MimeType, ByteString) -> Text #

makeSelfContained :: PandocMonad m => Text -> m Text #

Convert HTML into self-contained HTML, incorporating images, scripts, and CSS using data: URIs.